These are chat archives for highfidelity/hifi

4th
May 2014
Jeremiah Biard
@kzzch
May 04 2014 00:02
anyone using Ubuntu?
Konstantin
@SydoxX
May 04 2014 00:03
Yeah, but not with HiFi
Jeremiah Biard
@kzzch
May 04 2014 00:03
Heh, doesn't look like I will be either
Thijs Wenker
@thoys
May 04 2014 00:03
@kzzch for server or client?
Jeremiah Biard
@kzzch
May 04 2014 00:03
uh...
i cloned the repo and i'm working on building the dependencies right now
Thijs Wenker
@thoys
May 04 2014 00:04
ah ok
so where did you get stuck?
Jeremiah Biard
@kzzch
May 04 2014 00:04
compiling nettle
Thijs Wenker
@thoys
May 04 2014 00:04
ah yes, thats a tricky one
Jeremiah Biard
@kzzch
May 04 2014 00:04
specifically it pukes when it gets to hogweed
Thijs Wenker
@thoys
May 04 2014 00:05
hmm let me see how i did it
Jeremiah Biard
@kzzch
May 04 2014 00:06
i can post a gist of the specific errors i'm getting if it helps
Thijs Wenker
@thoys
May 04 2014 00:06
sure
wondering if i need to use an older version of gmp
Thijs Wenker
@thoys
May 04 2014 00:08
you have gmp-static also?
Jeremiah Biard
@kzzch
May 04 2014 00:09
doubt it
Jeremiah Biard
@kzzch
May 04 2014 00:18
so there's no workaround right now?
nvm, installing nettle-dev solved it
Thijs Wenker
@thoys
May 04 2014 00:22
hehe cool
Jeremiah Biard
@kzzch
May 04 2014 00:24
thanks for your help
Jeremiah Biard
@kzzch
May 04 2014 00:42
:/
Nandita D
@bubble8773
May 04 2014 13:49
hello
Konstantin
@SydoxX
May 04 2014 13:49
Hey
Thijs Wenker
@thoys
May 04 2014 13:49
hey
did you install Qt?
Nandita D
@bubble8773
May 04 2014 13:50
hi @SydoxX and @thoys
@thoys i did install qt
i'm setting up my glm
Thijs Wenker
@thoys
May 04 2014 13:51
cool
Nandita D
@bubble8773
May 04 2014 13:52
what to do with gnutls
Thijs Wenker
@thoys
May 04 2014 13:54
place it in the %HIFI_LIB_DIR%
Nandita D
@bubble8773
May 04 2014 13:57
mine looks like this C:\Users\Nandita\Desktop\hifi-master\libraries
Thijs Wenker
@thoys
May 04 2014 13:57
thats possible
Nandita D
@bubble8773
May 04 2014 13:58
i dont find any lib files ..
Thijs Wenker
@thoys
May 04 2014 13:59
you have to place the libraries there, they're third party , you can see links on top of the build.md file
let me find you the gnutls that I used
Nandita D
@bubble8773
May 04 2014 13:59
ok
Nandita D
@bubble8773
May 04 2014 14:02
thanks
Thijs Wenker
@thoys
May 04 2014 14:02
hmm, add that ftp:// part in front of it, the link didn't come through good
Nandita D
@bubble8773
May 04 2014 14:03
got it
Jeremiah Biard
@kzzch
May 04 2014 21:14
anyone here?
Konstantin
@SydoxX
May 04 2014 21:22
Yeah
Jeremiah Biard
@kzzch
May 04 2014 21:23
any idea where i get the source for libgnutls28-dev?
is it included with the gnutls source?
Konstantin
@SydoxX
May 04 2014 21:34
Sorry, I'm currently not at my PC. Maybe @thoys can help.
if anyone else comes along this is the error i'm getting when I try to build on Ubuntu.